## TumblerThumbnail

TumblerThumbnail

## Functions

gboolean | tumbler_thumbnail_load ()
gboolean | tumbler_thumbnail_needs_update ()
gboolean | tumbler_thumbnail_save_image_data ()
gboolean | tumbler_thumbnail_save_file ()
TumblerThumbnailFlavor * | tumbler_thumbnail_get_flavor ()

## Properties

TumblerCache * | cache | Read / Write / Construct Only
TumblerThumbnailFlavor * | flavor | Read / Write / Construct Only
char * | uri | Read / Write / Construct Only

## Types and Values

| TumblerThumbnail
struct | TumblerThumbnailInterface
struct | TumblerImageData

## Object Hierarchy

        GInterface
        ╰── TumblerThumbnail

## Prerequisites

TumblerThumbnail requires GObject.

## Description

## Functions

### tumbler_thumbnail_load ()

    gboolean
    tumbler_thumbnail_load (TumblerThumbnail *thumbnail,
                            GCancellable *cancellable,
                            GError **error);

### tumbler_thumbnail_needs_update ()

    gboolean
    tumbler_thumbnail_needs_update (TumblerThumbnail *thumbnail,
                                    const gchar *uri,
                                    gdouble mtime);

### tumbler_thumbnail_save_image_data ()

    gboolean
    tumbler_thumbnail_save_image_data (TumblerThumbnail *thumbnail,
                                       TumblerImageData *data,
                                       gdouble mtime,
                                       GCancellable *cancellable,
                                       GError **error);

### tumbler_thumbnail_save_file ()

    gboolean
    tumbler_thumbnail_save_file (TumblerThumbnail *thumbnail,
                                 GFile *file,
                                 gdouble mtime,
                                 GCancellable *cancellable,
                                 GError **error);

### tumbler_thumbnail_get_flavor ()

    TumblerThumbnailFlavor *
    tumbler_thumbnail_get_flavor (TumblerThumbnail *thumbnail);

## Types and Values

### TumblerThumbnail

    typedef struct _TumblerThumbnail TumblerThumbnail;

### struct TumblerThumbnailInterface

    struct TumblerThumbnailInterface {
      GTypeInterface __parent__;

      /* signals */

      /* virtual methods */
      gboolean (*load) (TumblerThumbnail *thumbnail,
                        GCancellable *cancellable,
                        GError **error);
      gboolean (*needs_update) (TumblerThumbnail *thumbnail,
                                const gchar *uri,
                                gdouble mtime);
      gboolean (*save_image_data) (TumblerThumbnail *thumbnail,
                                   TumblerImageData *data,
                                   gdouble mtime,
                                   GCancellable *cancellable,
                                   GError **error);
      gboolean (*save_file) (TumblerThumbnail *thumbnail,
                             GFile *file,
                             gdouble mtime,
                             GCancellable *cancellable,
                             GError **error);
    };

### struct TumblerImageData

    struct TumblerImageData {
      TumblerColorspace colorspace;
      const guchar *data;
      gboolean has_alpha;
      gint bits_per_sample;
      gint width;
      gint height;
      gint rowstride;
    };

## Property Details

### The `“cache”` property

      “cache”                    TumblerCache *

cache.

Owner: TumblerThumbnail

Flags: Read / Write / Construct Only

### The `“flavor”` property

      “flavor”                   TumblerThumbnailFlavor *

flavor.

Owner: TumblerThumbnail

Flags: Read / Write / Construct Only

### The `“uri”` property

      “uri”                      char *

uri.

Owner: TumblerThumbnail

Flags: Read / Write / Construct Only

Default value: NULL